# Uses of Class
org.osgi.framework.ServiceEvent

Packages that use ServiceEvent
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util
org.osgi.framework
Framework Package Version 1.8.
org.osgi.framework.hooks.service
Framework Service Hooks Package Version 1.1.

## Uses of ServiceEvent in org.apache.felix.framework

Methods in org.apache.felix.framework with parameters of type ServiceEvent
Modifier and Type
Method
Description
`final void`
Logger.`serviceChanged(ServiceEvent event)`
This method implements the callback for the ServiceListener interface.
`void`
ServiceRegistry.ServiceRegistryCallbacks.`serviceChanged(ServiceEvent event, Dictionary oldProps)`

## Uses of ServiceEvent in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type ServiceEvent
Modifier and Type
Method
Description
`void`
EventDispatcher.`fireServiceEvent(ServiceEvent event, Dictionary oldProps, Framework felix)`
`void`
SecureAction.`invokeServiceEventHook(EventHook eh, ServiceEvent event, Collection<BundleContext> contexts)`
`void`
SecureAction.`invokeServiceEventListenerHook(EventListenerHook elh, ServiceEvent event, Map<BundleContext,Collection<ListenerHook.ListenerInfo>> listeners)`

## Uses of ServiceEvent in org.osgi.framework

Methods in org.osgi.framework with parameters of type ServiceEvent
Modifier and Type
Method
Description
`void`
ServiceListener.`serviceChanged(ServiceEvent event)`
Receives notification that a service has had a lifecycle change.

## Uses of ServiceEvent in org.osgi.framework.hooks.service

Methods in org.osgi.framework.hooks.service with parameters of type ServiceEvent
Modifier and Type
Method
Description
`void`
EventHook.`event(ServiceEvent event, Collection<BundleContext> contexts)`
Deprecated.
Event hook method.
`void`
EventListenerHook.`event(ServiceEvent event, Map<BundleContext,Collection<ListenerHook.ListenerInfo>> listeners)`
Event listener hook method.